WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: AsideShop] Not compatible with WP 2.8? (24 posts)

  1. zoecorkhill
    Member
    Posted 5 years ago #

    I had this plugin enabled on my blog when I upgraded to 2.8 this morning. When I checked my site it was repeating the first post indefinitely, and I'm pretty sure it was doing the same for pages also (as you could expect, my browser crashed).

    I narrowed it down to this plugin & currently have it disabled. Is there any way I can fix this - is the author planning an upgrade to make it compatible?

    Thanks

    http://wordpress.org/extend/plugins/asideshop/

  2. dnorman
    Member
    Posted 5 years ago #

    I found the same thing. Disabling AsideShop fixed the problem.

  3. patrix
    Member
    Posted 5 years ago #

    Same here. Took me a while to trace it to AsideShop but disabling it fixed my blog.

  4. Delete Me
    Member
    Posted 5 years ago #

    Fan-^$*%-ing tastic. I don't suppose the plugin author has any plans to provide a fix either?

  5. maijs
    Member
    Posted 5 years ago #

    zoecorkhill, dnorman, patrix, LincolnAdams,

    Thanks for feedback on this. I do not have a blog myself and I'm not using WordPress on a regular basis either so my incentive creating this plugin was out of the blue.

    I will try to look into this but I can't guarantee that it's going to happen tomorrow. Curently I'm pretty busy. If you can provide a patch which fixes 2.8 compatibility issues, I'm willing to release new version in a day.

  6. Righton
    Member
    Posted 5 years ago #

    Yup, same thing happened to me this AM.

    Guess I'll just find a way to code it into my theme by hand and not worry about a plugin.

  7. Delete Me
    Member
    Posted 5 years ago #

    Thanks for looking into it. I've rolled back to 2.7 in the meantime

  8. mawyeh
    Member
    Posted 5 years ago #

    hmm, deactivated and deleted i guess

  9. MikeAtNEW
    Member
    Posted 5 years ago #

    The list of bug fixes in WP 2.8.1beta1 looked promising, but hasn't solved the problem with AsideShop.

  10. Delete Me
    Member
    Posted 5 years ago #

    Any word yet on a possible update for this plugin for 2.8?

  11. Austin Passy
    Member
    Posted 5 years ago #

    Same here. Running 2.8.1, and aside shop went down.

  12. supergab
    Member
    Posted 5 years ago #

    Still the same problem with 2.8.2.

    Please solve this issue!

  13. roro
    Member
    Posted 5 years ago #

    Any alternatives?

  14. elea
    Member
    Posted 4 years ago #

    Am late to the party, but if people are still looking for workarounds, you can use categories to style posts by just editing a few files in your template (functions.php, index.php, and style.css). Although the article is old, the method still applies: http://lorelle.wordpress.com/2007/09/06/using-wordpress-categories-to-style-posts/

  15. Chris McLaren
    Member
    Posted 4 years ago #

    I think I've resolved the problems here, but I'm no WP wizard. Everything seems to be working OK on my blog, with my changes.

    Essentially I think we need to replace the query overloading strategy with one that just hooks into the "the_post" action.

    Details can be found at my blog post on the changes.

    Feel free to try those hacks yourself, or if you are a WP wizard to comment on how to do the job better.

  16. aljaraza
    Member
    Posted 4 years ago #

    Ok, y no hay soluciones?

  17. maijs
    Member
    Posted 4 years ago #

    Alright guys, you cought me. I has some time to play around with the plugin and I think AsideShop 1.0.9 may surprise you as it should be working with WordPress 2.8 and 2.9 now. Please check it out.

    @Chris McLaren, thanks for trying to solve the problem with AsideShop working under recent versions of WordPress. But omiting does not properly work with archive pages - tags, dates, authors, etc.

    Anyway, there has been a change in WP_Query class and it made problems with AsideShop. Now it's fixed.

    Version 1.0.9 should not break your current setup if you are still using WordPress 2.7 or earlier.

    Cheers

    * Donations are gratefully accepted.

  18. Chris McLaren
    Member
    Posted 4 years ago #

    Ummm... the fixes I posted do support date archives, tags, etc. You may want to look more closely at that post.

    However, I was planning to just drop all that and move to the new version you just released... except when I upgraded to the new version my blog went back to the infinite loop behaviour. (Maybe there's something unique about my configuration? The theming is pretty simple, but I do have a bunch of plugins running.)

  19. maijs
    Member
    Posted 4 years ago #

    @Chris McLaren,

    First of all, my gratitude for providing your patch to AsideShop which made it work on WordPress 2.8 and 2.9. You will certainly be credited for your work.

    I looked through your version and I found an amazing the_post hook which actually made me headaches before. WP_Query_Asideshop was a workaround just because the_post hook was not available.

    I tested your version of the plugin and I got double posts in category and tag pages because asideshop_the_post was missing a validation by asideshop_is_displayable (which tells whether show asides on category and tags pages).

    Now, I've played a little around and implemented your solution with some backwards compatibility which will please everybody who use WordPress starting from 2.2. I will remove this compatibility soon as code becomes just too bloated with version checking, and nobody is using WP 2.5 anymore, right?

    Chris, I'm not sure whether you live on the edge, but may I ask you to check out a trunk version of AsideShop and give it a try. I myself tested it in WP 2.7, 2.8 and 2.9 and all aside formatting works fine. I just need confirmation it works in the wild. If it does, AsideShop 1.1 will be released immediately.

    You can check latest trunk here: http://plugins.svn.wordpress.org/asideshop/trunk/ or download it as a zip file here: http://wordpress.org/extend/plugins/asideshop/download/ (Development Version)

    Cheers, let me know how it works for you.

  20. Chris McLaren
    Member
    Posted 4 years ago #

    Sorry about the lag there--I was out of the country on work and not blogging.

    I see you've rolled out 1.1 and 1.2--I just upgraded to the latest and it works great for me.

    Cheers,

    C.

  21. josemariamv
    Member
    Posted 4 years ago #

    1.1 and 1.2 versions works great for me also in wp 2.91. Thanks!

  22. maijs
    Member
    Posted 4 years ago #

    @Chris, thanks for your input and the code.

    @josemariamv, glad it works for you now.

    Cheers

  23. snark
    Member
    Posted 4 years ago #

    @maijs -- I had everything configured and working in WP 2.9.2, when I realized that your plugin was messing with my BuddyPress installation -- specifically, BuddyPress Forum topics will not display if AsideShop is activated.

    Any chance you will be updating your plugin soon to be compatible with BuddyPress?

    Thanks.

  24. maijs
    Member
    Posted 4 years ago #

    @snark, I will try to look into what's happening with BuddyPress but I can't tell it's going to be any time soon. Patches are welcome though.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags